# busclass-xml.c File Reference

Busclass XML data file parsing. More...

`#include "config.h"`
`#include <sys/types.h>`
`#include <assert.h>`
`#include <limits.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <expat.h>`
`#include <discover/discover.h>`
`#include <discover/discover-xml.h>`
`#include <discover/load-url.h>`
`#include <discover/utils.h>`

Go to the source code of this file.

## Functions

void | discover_xml_merge_busclass_url (discover_xml_busclass_t **blist, char *url, discover_error_t *status)
discover_xml_busclass_t * | discover_xml_get_busclasses (discover_bus_t bus, discover_error_t *status)
void | discover_xml_free_busclasses (void)
char * | discover_xml_busclass_to_class (char *busclass, discover_xml_busclass_t *busclasses)
int | discover_xml_busclass_cmp (char *busclass, char *discover_class, discover_xml_busclass_t *busclasses)
char * | discover_xml_busclass_get_id (discover_xml_busclass_t *busclass)
char * | discover_xml_busclass_get_name (discover_xml_busclass_t *busclass)
discover_xml_busclass_t * | discover_xml_busclass_get_next (discover_xml_busclass_t *busclass)
discover_xml_busclass_t * | discover_xml_busclass_new (void)
void | discover_xml_busclass_free (discover_xml_busclass_t *busclasses)

## Detailed Description

Busclass XML data file parsing.

This file contains the routines needed to properly process the busclass XML data. This file is responsible for handling URLs and actually storing the XML data during the parsing process.

Definition in file busclass-xml.c.